/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.deductiondetails.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * deductionDetailsEntity
 * @author 邱悦
 * @version 2022-01-01
 */
public class DeductionDetails extends DataEntity<DeductionDetails> {
	
	private static final long serialVersionUID = 1L;
	private String unitId;		// 施工单位Id
	private String classId;		// 大类Id
	private String subClassId;		// 小类Id
	private Integer deductPoints;		// 扣分
	private String deductionDetails;		// 扣分详情
	private Date deductionDate;		// 日期
	private String veto;	//是否否决
	
	public DeductionDetails() {
		super();
	}

	public DeductionDetails(String id){
		super(id);
	}

	@ExcelField(title="施工单位Id", align=2, sort=1)
	public String getUnitId() {
		return unitId;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}
	
	@ExcelField(title="大类Id", dictType="", align=2, sort=2)
	public String getClassId() {
		return classId;
	}

	public void setClassId(String classId) {
		this.classId = classId;
	}
	
	@ExcelField(title="小类Id", dictType="", align=2, sort=3)
	public String getSubClassId() {
		return subClassId;
	}

	public void setSubClassId(String subClassId) {
		this.subClassId = subClassId;
	}
	
	@ExcelField(title="扣分", align=2, sort=4)
	public Integer getDeductPoints() {
		return deductPoints;
	}

	public void setDeductPoints(Integer deductPoints) {
		this.deductPoints = deductPoints;
	}
	
	@ExcelField(title="扣分详情", align=2, sort=5)
	public String getDeductionDetails() {
		return deductionDetails;
	}

	public void setDeductionDetails(String deductionDetails) {
		this.deductionDetails = deductionDetails;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="日期", align=2, sort=6)
	public Date getDeductionDate() {
		return deductionDate;
	}

	public void setDeductionDate(Date deductionDate) {
		this.deductionDate = deductionDate;
	}

	public String getVeto() {
		return veto;
	}

	public void setVeto(String veto) {
		this.veto = veto;
	}
}